
From: Eric Van Hensbergen <ericvh@gmail.com>

In 2.6.13-rc7 the prototypes for follow_link and put_link were changed to
include support for a cookie to help reclaim resources.  This patch adjusts
their definitions in the v9fs implementation.

Signed-off-by: Eric Van Hensbergen <ericvh@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/9p/vfs_inode.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN fs/9p/vfs_inode.c~v9fs-vfs-inode-operations-adjust-follow_link-and-put_link-to fs/9p/vfs_inode.c
--- devel/fs/9p/vfs_inode.c~v9fs-vfs-inode-operations-adjust-follow_link-and-put_link-to	2005-08-29 22:25:11.000000000 -0700
+++ devel-akpm/fs/9p/vfs_inode.c	2005-08-29 22:25:11.000000000 -0700
@@ -1136,7 +1136,7 @@ static int v9fs_vfs_readlink(struct dent
  *
  */
 
-static int v9fs_vfs_follow_link(struct dentry *dentry, struct nameidata *nd)
+static void *v9fs_vfs_follow_link(struct dentry *dentry, struct nameidata *nd)
 {
 	int len = 0;
 	char *link = __getname();
@@ -1156,7 +1156,7 @@ static int v9fs_vfs_follow_link(struct d
 	}
 	nd_set_link(nd, link);
 
-	return 0;
+	return NULL;
 }
 
 /**
@@ -1166,7 +1166,7 @@ static int v9fs_vfs_follow_link(struct d
  *
  */
 
-static void v9fs_vfs_put_link(struct dentry *dentry, struct nameidata *nd)
+static void v9fs_vfs_put_link(struct dentry *dentry, struct nameidata *nd, void *p)
 {
 	char *s = nd_get_link(nd);
 
_
